List audit log entries
curl --request GET \
--url https://passkeys.hanko.io/{tenant_id}/audit_logsimport requests
url = "https://passkeys.hanko.io/{tenant_id}/audit_logs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://passkeys.hanko.io/{tenant_id}/audit_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"meta_http_request_id": "<string>",
"meta_source_ip": "<string>",
"meta_user_agent": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"actor_user_id": "<string>"
}
]{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}{
"title": [
"explanatory title"
],
"details": [
"Information which helps resolving the problem"
],
"status": 123
}Audit Logs
List audit log entries
Get a list of audit logs
GET
/
{tenant_id}
/
audit_logs
List audit log entries
Path Parameters
UUID of the tenant
Required string length:
36Example:
["1f496bcd-49da-4839-a02f-7ce681ccb488"]
Query Parameters
Page to start from
How many logs should be displayed per page
timestamp from where to start the list
timestamp on which to end the list
comma separated list of types to query for
id of the user who performed the action
ip address from which the action was performed
the search string
Was this page helpful?